function init()
	gun.name = "Death Pollen"
	gun.fireDelay = 14000
	gun.shotrange = 2500
	gun.shotspeed = 500
	gun.shotdamage = 3
	gun.shotknockback = 10000
	gun.burstNum = 12
	gun.burstDelay = 100
	
	gun.overheat = 2000
	
	--make a little message when the gun readies
	gun.readynotify = 1

	return 0
end


function fire()

	--store gun properties
	fireangle = gun.owner.rot
	shotspeed =  gun.shotspeed
	shotdamage = gun.shotdamage
	shotrange = gun.shotrange
	target = gun.target
	owner = gun.owner
	x = gun.firex
	y = gun.firey

	--fire a number of shots
	anglestep = 180 / gun.burstnum
	for i = -1, 1, 2 do
		--fire a missile
		stage.createShip("Missile", "null", x, y, 5)-- 0)
		ship.behavior = "seeker"
		--ignore owner (can't collide)
		ship.faction = owner.faction
		--move at speed
		ship.movrot = fireangle + 180
		ship.rot = ship.movrot
		ship.speed = shotspeed
		--set the fuse
		ship.controller.resetTimer("fuse", shotrange + math.random(-500,500))
		--set damage to the gun's damage
		ship.setWeaponDamage(shotdamage)
	end
	
	stage.sfx("gun_missilethoom.wav", ship.x, ship.y)

	return 0
end

function shot_update()

	return 0
end